use crate::mm::memory_set::KERNEL_SPACE;

pub mod heap_allocator;
pub mod address;
pub mod frame_allocator;
pub mod page_table;
pub mod memory_set;



pub fn init(){
    // 开启 内核的内存分配器
    heap_allocator::init_heap();
    // 初始化并测试 物理页帧管理器
    frame_allocator::frame_allocator_test();
    // 激活内核的地址空间
    KERNEL_SPACE.exclusive_access().activate();
}